summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Gilbert <floppym@gentoo.org>2020-06-22 11:07:39 -0400
committerMike Gilbert <floppym@gentoo.org>2020-06-28 18:01:40 -0400
commite424e535ba0ae80880ee13417713757161a925f0 (patch)
tree8061c7e5d11860408322fa5a9c7fb1063d05c2e4
parentnet-libs/signond: Tests are really really brittle; but they can pass (diff)
downloadgentoo-e424e535ba0ae80880ee13417713757161a925f0.tar.gz
gentoo-e424e535ba0ae80880ee13417713757161a925f0.tar.bz2
gentoo-e424e535ba0ae80880ee13417713757161a925f0.zip
unpacker.eclass: call BUILD_AR when unpacking deb files
Closes: https://bugs.gentoo.org/722054 Signed-off-by: Mike Gilbert <floppym@gentoo.org>
-rw-r--r--eclass/unpacker.eclass5
1 files changed, 3 insertions, 2 deletions
diff --git a/eclass/unpacker.eclass b/eclass/unpacker.eclass
index 865e2e1a1a58..63aedee4480e 100644
--- a/eclass/unpacker.eclass
+++ b/eclass/unpacker.eclass
@@ -17,6 +17,8 @@
if [[ -z ${_UNPACKER_ECLASS} ]]; then
_UNPACKER_ECLASS=1
+inherit toolchain-funcs
+
# @ECLASS-VARIABLE: UNPACKER_BZ2
# @DEFAULT_UNSET
# @DESCRIPTION:
@@ -279,8 +281,7 @@ unpack_deb() {
done
} < "${deb}"
else
- local AR=${AR-ar}
- ${AR} x "${deb}" || die
+ $(tc-getBUILD_AR) x "${deb}" || die
fi
unpacker ./data.tar*